class C3k2(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  cv1 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_5.Conv
  cv2 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_8.Conv
  m : __torch__.torch.nn.modules.container.ModuleList
  def forward(self: __torch__.ultralytics.nn.modules.block.C3k2,
    argument_1: __torch__.torch.nn.modules.activation.___torch_mangle_406.SiLU,
    argument_2: Tensor) -> Tensor:
    cv2 = self.cv2
    m = self.m
    _0 = getattr(m, "0")
    cv1 = self.cv1
    _1 = (cv1).forward(argument_1, argument_2, )
    _2 = torch.split_with_sizes(_1, [16, 16], 1)
    _3, input, = _2
    _4 = [_3, input, (_0).forward(argument_1, input, )]
    input0 = torch.cat(_4, 1)
    return (cv2).forward(argument_1, input0, )
class Bottleneck(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  cv1 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_11.Conv
  cv2 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_14.Conv
  def forward(self: __torch__.ultralytics.nn.modules.block.Bottleneck,
    argument_1: __torch__.torch.nn.modules.activation.___torch_mangle_406.SiLU,
    input: Tensor) -> Tensor:
    cv2 = self.cv2
    cv1 = self.cv1
    _4 = (cv2).forward(argument_1, (cv1).forward(argument_1, input, ), )
    return torch.add(input, _4)
class A2C2f(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  cv1 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_38.Conv
  cv2 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_41.Conv
  m : __torch__.torch.nn.modules.container.___torch_mangle_112.ModuleList
  def forward(self: __torch__.ultralytics.nn.modules.block.A2C2f,
    argument_1: __torch__.torch.nn.modules.activation.___torch_mangle_406.SiLU,
    argument_2: Tensor) -> Tensor:
    cv2 = self.cv2
    m = self.m
    _1 = getattr(m, "1")
    m0 = self.m
    _0 = getattr(m0, "0")
    cv1 = self.cv1
    _5 = (cv1).forward(argument_1, argument_2, )
    _6 = (_0).forward(argument_1, _5, )
    _7 = [_5, _6, (_1).forward(argument_1, _6, )]
    input = torch.cat(_7, 1)
    return (cv2).forward(argument_1, input, )
class ABlock(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  attn : __torch__.ultralytics.nn.modules.block.AAttn
  mlp : __torch__.torch.nn.modules.container.Sequential
  def forward(self: __torch__.ultralytics.nn.modules.block.ABlock,
    argument_1: __torch__.torch.nn.modules.activation.___torch_mangle_406.SiLU,
    argument_2: Tensor) -> Tensor:
    mlp = self.mlp
    attn = self.attn
    input = torch.add(argument_2, (attn).forward(argument_2, ))
    x = torch.add(input, (mlp).forward(argument_1, input, ))
    return x
class AAttn(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  qkv : __torch__.ultralytics.nn.modules.conv.___torch_mangle_43.Conv
  proj : __torch__.ultralytics.nn.modules.conv.___torch_mangle_46.Conv
  pe : __torch__.ultralytics.nn.modules.conv.___torch_mangle_49.Conv
  def forward(self: __torch__.ultralytics.nn.modules.block.AAttn,
    argument_1: Tensor) -> Tensor:
    proj = self.proj
    pe = self.pe
    qkv = self.qkv
    B = ops.prim.NumToTensor(torch.size(argument_1, 0))
    C = ops.prim.NumToTensor(torch.size(argument_1, 1))
    _8 = int(C)
    _9 = int(C)
    _10 = int(C)
    _11 = int(C)
    H = ops.prim.NumToTensor(torch.size(argument_1, 2))
    _12 = int(H)
    _13 = int(H)
    W = ops.prim.NumToTensor(torch.size(argument_1, 3))
    _14 = int(W)
    _15 = int(W)
    _16 = torch.mul(H, W)
    _17 = torch.flatten((qkv).forward(argument_1, ), 2)
    qkv0 = torch.transpose(_17, 1, 2)
    _18 = int(torch.mul(B, CONSTANTS.c0))
    _19 = torch.floor_divide(_16, CONSTANTS.c0)
    _20 = [_18, int(_19), int(torch.mul(C, CONSTANTS.c1))]
    qkv1 = torch.reshape(qkv0, _20)
    B0 = ops.prim.NumToTensor(torch.size(qkv1, 0))
    _21 = int(B0)
    N = ops.prim.NumToTensor(torch.size(qkv1, 1))
    _22 = torch.view(qkv1, [_21, int(N), 2, 96])
    _23 = torch.split_with_sizes(torch.permute(_22, [0, 2, 3, 1]), [32, 32, 32], 2)
    q, k, v, = _23
    _24 = torch.matmul(torch.transpose(q, -2, -1), k)
    attn = torch.mul(_24, CONSTANTS.c2)
    attn0 = torch.softmax(attn, -1)
    x = torch.matmul(v, torch.transpose(attn0, -2, -1))
    x0 = torch.permute(x, [0, 3, 1, 2])
    v0 = torch.permute(v, [0, 3, 1, 2])
    _25 = torch.floor_divide(B0, CONSTANTS.c0)
    _26 = [int(_25), int(torch.mul(N, CONSTANTS.c0)), _11]
    x1 = torch.reshape(x0, _26)
    _27 = torch.floor_divide(B0, CONSTANTS.c0)
    _28 = [int(_27), int(torch.mul(N, CONSTANTS.c0)), _10]
    v1 = torch.reshape(v0, _28)
    B1 = ops.prim.NumToTensor(torch.size(x1, 0))
    _29 = int(B1)
    _30 = torch.reshape(x1, [int(B1), _13, _15, _9])
    x2 = torch.contiguous(torch.permute(_30, [0, 3, 1, 2]))
    _31 = torch.reshape(v1, [_29, _12, _14, _8])
    input = torch.contiguous(torch.permute(_31, [0, 3, 1, 2]))
    input1 = torch.add(x2, (pe).forward(input, ))
    return (proj).forward(input1, )
class C3k(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  cv1 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_206.Conv
  cv2 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_209.Conv
  cv3 : __torch__.ultralytics.nn.modules.conv.___torch_mangle_212.Conv
  m : __torch__.torch.nn.modules.container.___torch_mangle_227.Sequential
  def forward(self: __torch__.ultralytics.nn.modules.block.C3k,
    argument_1: __torch__.torch.nn.modules.activation.___torch_mangle_406.SiLU,
    argument_2: Tensor) -> Tensor:
    cv3 = self.cv3
    cv2 = self.cv2
    m = self.m
    cv1 = self.cv1
    _32 = (cv1).forward(argument_1, argument_2, )
    _33 = (m).forward(argument_1, _32, )
    _34 = (cv2).forward(argument_1, argument_2, )
    input = torch.cat([_33, _34], 1)
    return (cv3).forward(argument_1, input, )
class DFL(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  conv : __torch__.torch.nn.modules.conv.___torch_mangle_412.Conv2d
  def forward(self: __torch__.ultralytics.nn.modules.block.DFL,
    x: Tensor) -> Tensor:
    conv = self.conv
    b = ops.prim.NumToTensor(torch.size(x, 0))
    _35 = int(b)
    _36 = int(b)
    a = ops.prim.NumToTensor(torch.size(x, 2))
    _37 = int(a)
    _38 = torch.transpose(torch.view(x, [_36, 4, 16, int(a)]), 2, 1)
    input = torch.softmax(_38, 1)
    distance = torch.view((conv).forward(input, ), [_35, 4, _37])
    return distance
